Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security
Class InvalidSecurityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  weblogic.utils.NestedRuntimeException
                      weblogic.xml.security.InvalidSecurityException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

Deprecated. please use new WS Security API

    public class InvalidSecurityException

extends weblogic.utils.NestedRuntimeException

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Constructor Summary
`InvalidSecurityException()` Deprecated.
`InvalidSecurityException(String msg)` Deprecated.
`InvalidSecurityException(String msg, Throwable nested)` Deprecated.
`InvalidSecurityException(Throwable nested)` Deprecated.

Method Summary

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSecurityException

    public InvalidSecurityException()

  Deprecated.

### InvalidSecurityException

    public InvalidSecurityException(String msg)

  Deprecated.

### InvalidSecurityException

    public InvalidSecurityException(Throwable nested)

  Deprecated.

### InvalidSecurityException

    public InvalidSecurityException(String msg,
                                    Throwable nested)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD